%global debug_package %{nil}
%global date 20171113

Name:            bp900k2-cups-drive
Version:         1.0
Release:        %{date}%{?dist}.1
Summary:        Linux printer driver
BuildArch:      mips64el

Group:          System Environment
License:        GPLv2
URL:            http://www.loongnix.org
Source0:        %{name}.tar.gz

%description
Linux printer driver usefor bp900k2.

%prep
%setup -q -c

%build
# nothing to do

%install
%{__install} -d %{buildroot}/%{_var}/cache/bp900k2
%{__install} -d %{buildroot}/%{_var}/cache/bp900k2/bp900k2
%{__install} -m 0755 %{_builddir}/%{name}-%{version}/install %{buildroot}/%{_var}/cache/bp900k2
%{__install} -m 0755  %{_builddir}/%{name}-%{version}/rastertojmdot  %{buildroot}/%{_var}/cache/bp900k2
%{__install} -m 0664  %{_builddir}/%{name}-%{version}/bp900k2.ppd  %{buildroot}/%{_var}/cache/bp900k2
%{__install} -m 0664  %{_builddir}/%{name}-%{version}/README  %{buildroot}/%{_var}/cache/bp900k2/bp900k2

%post
if [ -e /var/cache/bp900k2/install ]; then
    /usr/bin/cp -rf /var/cache/bp900k2/bp900k2  %{_kde4_docdir}
    cd /var/cache/bp900k2/ && ./install
fi

%postun
if [ $1 -eq 0 ] ; then
    lpadmin -x Jolimark-BP-900KII
    rm -rf %{_kde4_docdir}/bp900k2
fi

%files
%{_var}/cache/bp900k2

%changelog
* Mon Nov 13 2017 Nan xiongchao <nanxiongchao@loongson.cn> - 1.0-20171113.1
- resolve problem update or downgrade missing driver

* Fri Oct 13 2017 Nan xiongchao <nanxiongchao@loongson.cn> - 0.20171013-0
- Initial printer driver for bp900k2
